Subject: Re: bug#5345: Password asked when visiting a file in a lightweight checkout

From: Dan Nicolaescu <[email-masked]>
Date: Sat, 9 Jan 2010 10:46:57 -0800 (PST)

Juanma Barranquero <[email-masked]> writes:

  > On Sat, Jan 9, 2010 at 14:52, Eli Zaretskii <[email-masked]> wrote:
  > 
  > > Here's the bug:
  > 
  > You're right.
  > 
  > > some code thinks that "C:/foo" is not an absolute file
  > > name, probably because it checks for the leading slash.
  > 
  > In fact, what happens is that a regular expression is removing the
  > initial file:// from a file: URI, and not taking into account that it
  > could start with a triple-slash. Or it *is* taking it into account and
  > doing it on purpose to get a /path on Unix.
  > 
  > If removing three slashes is OK, the patch is as easy as changing

The third slash is part of the absolute file name, so it needs to stay.